Closed Bug 1601911 Opened 2 months ago Closed 2 months ago

WebConsole throws when trying to access Timing panel in network message detail

Categories

(DevTools :: Console, defect)

72 Branch
defect
Not set

Tracking

(firefox-esr68 unaffected, firefox71 unaffected, firefox72- verified, firefox73 verified)

VERIFIED FIXED
Firefox 73
Tracking Status
firefox-esr68 --- unaffected
firefox71 --- unaffected
firefox72 - verified
firefox73 --- verified

People

(Reporter: kolmano91, Assigned: ruturaj)

References

(Regression)

Details

(Keywords: regression)

Attachments

(2 files)

User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/78.0.3904.108 Safari/537.36

Steps to reproduce:

Firefox developer edition version 72.0b1 (64-bit) on windows 10

Want to see timing for request which was probably still open

Metadata from console
{
"id": "server0.conn4.netEvent624",
"actor": "server0.conn4.netEvent624",
"level": "log",
"isXHR": true,
"request": {
"url": "https://127.0.0.2/longpolling/poll",
"method": "POST",
"headersSize": 804,
"bodySize": 117
},
"response": {
"content": {
"mimeType": ""
},
"bodySize": 0,
"transferredSize": 921
},
"source": "network",
"type": "log",
"groupId": null,
"timeStamp": 1575629434086,
"indent": 0,
"updates": [
"requestHeaders",
"requestCookies",
"requestPostData",
"eventTimings",
"securityInfo",
"responseContent"
],
"openedOnce": true,
"securityInfo": null,
"requestHeadersFromUploadStream": null,
"private": false,
"url": "https://127.0.0.2/longpolling/poll",
"urlDetails": {
"baseNameWithQuery": "poll",
"host": "127.0.0.2",
"scheme": "https",
"unicodeUrl": "https://127.0.0.2/longpolling/poll",
"isLocal": [
"127.0.0.2"
],
"url": "https://127.0.0.2/longpolling/poll"
},
"method": "POST",
"cause": {
"type": "fetch",
"loadingDocumentUri": "https://127.0.0.2/web-serviceWorker.js",
"stacktraceAvailable": false
},
"lastExecutionPoint": {
"point": {
"checkpoint": 0,
"progress": 0
},
"messageCount": 73
}
}

Actual results:

Error message telling me that this shouldn't have happened.

Attached file Metadata Details
Same error message as Bug Title:
[DEVTOOLS ERROR] We’re sorry, we couldn’t render the message. This shouldn’t have happened - please file a bug at https://bugzilla.mozilla.org/enter_bug.cgi?product=DevTools&component=Console with the message metadata in the description.

Steps to reproduce
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:73.0) Gecko/20100101 Firefox/73.0
Firefox Nightly 73.0a1 (2019-12-07) (64-bit) on Windows 10 Pro, Version 1909, OS Build 18363.476

Viewing small movie and wanted to view network load. URL in metadata below.
Right clicked on the movie, chose Inspect Element(Q), went to Web Console view automatically.
Selected Network Console, then Show Split Console.   
Clicked on first line line in Network Console to view details about the mp4. (side by side view with the Request Details pane).
At first Web Console was blank (below Network Console split view), then the error message showed up in Web Console
I did not receive the additional information in the Show Request Details pane for the line I chose.

Metadata described in message:
Summary: DEVTOOLS ERROR We’re sorry, we couldn’t render the message. This shouldn’t have happened - please file a bug → WebConsole throws when trying to access Timing panel in network message detail

This is a regression from Bug 1580431.

There's an error message in the terminal:

console.error: (new TypeError("state.requests is undefined", "resource://devtools/client/netmonitor/src/components/TimingsPanel.js", 201))

Which points to devtools/client/netmonitor/src/components/TimingsPanel.js#201

Assignee: nobody → nchevobbe
Status: UNCONFIRMED → ASSIGNED
Has STR: --- → yes
Ever confirmed: true
Keywords: regression
Regressed by: 1580431

This would have been caught by browser_webconsole_network_messages_expand.js, but the test is skipped (Bug 1438979)

Hi Nicholas,
Sorry, my fix lead to a regression.

So this is what I tried...

  1. opened https://docs.evostream.com/sample_content/assets/bunny.mp4
  2. inspected the video player
  3. went to webconsole, didn't really see any error.
  4. Opened up Browser console (Ctrl + Shift + J); That too didn't show up any error
  5. Went to Network tab, surprisingly there was no data associated to the mp4 network, on clicking timings panel, it showed blank ( I thought it'll generate a Browser console error or show up on the terminal (was running ./mach run); But it didn't end up showing any message.

Did I miss anything? I couldn't find the error message you posted console.error: (new TypeError("state.requests is undefined", "resource://devtools/client/netmonitor/src/components/TimingsPanel.js", 201))

My ./mach run output

$ ./mach build faster;./mach run -P development
 0:00.36 /usr/bin/make -C faster -j4 -s
 0:00.53 Elapsed: 0.00s; From /home/rutu/code/mozilla-central/obj-x86_64-pc-linux-gnu/dist/bin/gmp-fake/1.0: Kept 1 existing; Added/updated 0; Removed 0 files and 0 directories.
 0:00.53 Elapsed: 0.00s; From /home/rutu/code/mozilla-central/obj-x86_64-pc-linux-gnu/dist/bin/gmp-fakeopenh264/1.0: Kept 1 existing; Added/updated 0; Removed 0 files and 0 directories.
 0:00.58 Elapsed: 0.01s; From /home/rutu/code/mozilla-central/obj-x86_64-pc-linux-gnu/dist/bin/localization: Kept 30 existing; Added/updated 0; Removed 0 files and 0 directories.
 0:00.75 Elapsed: 0.03s; From /home/rutu/code/mozilla-central/obj-x86_64-pc-linux-gnu/dist/bin/browser/localization: Kept 56 existing; Added/updated 0; Removed 0 files and 0 directories.
 0:00.77 Elapsed: 0.03s; From /home/rutu/code/mozilla-central/obj-x86_64-pc-linux-gnu/dist/bin/gmp-clearkey/0.1: Kept 0 existing; Added/updated 1; Removed 0 files and 0 directories.
 0:00.91 Elapsed: 0.01s; From /home/rutu/code/mozilla-central/obj-x86_64-pc-linux-gnu/dist/bin/browser/features/formautofill@mozilla.org: Kept 53 existing; Added/updated 2; Removed 0 files and 0 directories.
 0:00.92 Elapsed: 0.00s; From /home/rutu/code/mozilla-central/obj-x86_64-pc-linux-gnu/dist/bin/browser/features/webcompat-reporter@mozilla.org: Kept 1 existing; Added/updated 2; Removed 0 files and 0 directories.
 0:01.08 Elapsed: 0.54s; From /home/rutu/code/mozilla-central/obj-x86_64-pc-linux-gnu/dist/bin: Kept 1368 existing; Added/updated 41; Removed 0 files and 0 directories.
 0:01.55 Elapsed: 0.85s; From /home/rutu/code/mozilla-central/obj-x86_64-pc-linux-gnu/dist/bin/browser: Kept 3977 existing; Added/updated 42; Removed 0 files and 0 directories.
 0:01.58 0 compiler warnings present.
 0:01.61 Overall system resources - Wall time: 1s; CPU: 76%; Read bytes: 4145152; Write bytes: 4521984; Read time: 696; Write time: 20
To view resource usage of the build, run |mach resource-usage|.
 0:01.61 Your build was successful!
 0:00.35 /home/rutu/code/mozilla-central/obj-x86_64-pc-linux-gnu/dist/bin/firefox -P development -no-remote
1575954136383	addons.webextension.screenshots@mozilla.org	WARN	Loading extension 'screenshots@mozilla.org': Reading manifest: Invalid extension permission: mozillaAddons
1575954136383	addons.webextension.screenshots@mozilla.org	WARN	Loading extension 'screenshots@mozilla.org': Reading manifest: Invalid extension permission: telemetry
1575954136383	addons.webextension.screenshots@mozilla.org	WARN	Loading extension 'screenshots@mozilla.org': Reading manifest: Invalid extension permission: resource://pdf.js/
1575954136383	addons.webextension.screenshots@mozilla.org	WARN	Loading extension 'screenshots@mozilla.org': Reading manifest: Invalid extension permission: about:reader*
1575954136539	addons.webextension.doh-rollout@mozilla.org	WARN	Loading extension 'doh-rollout@mozilla.org': Reading manifest: Invalid extension permission: networkStatus
Flags: needinfo?(nchevobbe)

PS: I tried it in revision 7205934173a4 and latest nightly as well.

Don't be sorry, tests should have catch that, and it's my fault it was still disabled :/

To reproduce the bug:

  • enable the request/xhr filter in the console
  • reload the page or do a xhr call to show a network message in the console
  • expand the message to show the detail panel
  • click on the Timings tab

You should see the message turning into an error, and the exception being thrown in the Browser Console and Terminal.

Flags: needinfo?(nchevobbe)

[Tracking Requested - why for this release]: Disappearing messages when the Timing tab in Console is accessed.

Hey Harald,
Is anything required from my end for your Tracking requested... comment ?
Rutu

Flags: needinfo?(hkirschner)

Ruturaj, nothing needed from your side. Tracking just makes sure we don't forget about this and leave room to uplift it to beta.

Flags: needinfo?(hkirschner)
Duplicate of this bug: 1603059
Duplicate of this bug: 1603264
Pushed by nchevobbe@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/c3a37bcdd865
WebConsole throws when trying to access Timing panel in network message detail. r=nchevobbe
Assignee: nchevobbe → ruturaj

I can take an uplift once this is verified in nightly, not convinced this warrants further tracking.

Status: ASSIGNED → RESOLVED
Closed: 2 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 73

Verified on Nightly 73.0a1 2019-12-12

Status: RESOLVED → VERIFIED

Comment on attachment 9114841 [details]
Bug 1601911 - WebConsole throws when trying to access Timing panel in network message detail. r=nchevobbe

Beta/Release Uplift Approval Request

  • User impact if declined: Expanding a network message in the console and selecting the Timing panel would make the message "crash" and display an error message instead.
  • Is this code covered by automated tests?: No
  • Has the fix been verified in Nightly?: Yes
  • Needs manual test from QE?: Yes
  • If yes, steps to reproduce: 1. Open devtools and select the console
  1. make sure to enable the "Request" filter
  2. Reload the page to trigger some network message
  3. Expand the network message to show the detail panel
  4. Click on the Timings tab

-> the timings should be displayed

  • List of other uplifts needed: None
  • Risk to taking this patch: Low
  • Why is the change risky/not risky? (and alternatives if risky): DevTools change only.
    There's no tests yet, but will be when Bug 1438979 lands (which we can uplift as well)
  • String changes made/needed:
Attachment #9114841 - Flags: approval-mozilla-beta?
Flags: qe-verify+
QA Whiteboard: [qa-triaged]

Comment on attachment 9114841 [details]
Bug 1601911 - WebConsole throws when trying to access Timing panel in network message detail. r=nchevobbe

devtools fix for 72.0b7

Attachment #9114841 - Flags: approval-mozilla-beta? → approval-mozilla-beta+

Reproduced the initial issue with an old Beta build 72.0b5 (Build id: 20191210230245).
Verified - Fixed in latest Nightly 73.0a1 (2019-12-16) and Beta 72.0b7 (Build id: 20191213132525).

QA Whiteboard: [qa-triaged]
Flags: qe-verify+
You need to log in before you can comment on or make changes to this bug.